import { IChromosome, IPopulation } from '..';
export declare abstract class PopulationBase implements IPopulation {
    private _size;
    private _adamChromosome;
    protected _bestChanged: undefined | (() => Promise<void>);
    private _chromosomes;
    private _generation;
    private _fitness;
    protected constructor(_size: number, _adamChromosome: IChromosome, _bestChanged?: undefined | (() => Promise<void>));
    get chromosomes(): Array<IChromosome>;
    get best(): IChromosome;
    get fitness(): number;
    init(): Promise<void>;
    update(chromosomes: Array<IChromosome>): Promise<void>;
}
